%define ver    2.0
%define rel 3mdk
%define _prefix /usr

Summary: Esperanto files for ispell
Summary(eo): Esperantaj dosieroj por ispell
Name: ispell-eo
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source0: http://www.esperanto.mv.ru/Download/ispell/eo-spell.tar.bz2
URL: http://www.esperanto.mv.ru/
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-eo
Obsoletes: iesperan
Obsoletes: ispell-esperanto
Provides: ispell-dictionary

%description
ispell-eo has the spelling data for Esperanto which is used by
the ispell program. With this extension, you can compose a document
in Esperanto and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l eo
ispell-eo enhavas la literumada dateno por Esperanto kiu la ispell programo
uzas.  Kun i tiu etendao, vi povas skribi dokumenton Esperante kaj
kontroli in por literumadaj eraroj facile.

Vi povas uzi ispell rekte de la komandlinio por kontroli dosieron;
a de kelkaj tekstprilaboriloj, kiel LyX, ktp.

%prep
%setup -n eo

%build

sort -u -f -o eo.txt *.txt
buildhash eo.txt eo.aff eo.hash

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
cp *.aff *.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/

# make symlinks for compatibility with LaTeX babel 
(
  cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ;
  ln -s eo.aff esperanto.aff ; ln -s eo.hash esperanto.hash
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc README* legumin.l3
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Fri Dec 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

